Module | Fog::Attributes::InstanceMethods
In: | lib/fog/core/attributes.rb

### Methods

_dump attributes dup dup_attributes! identity identity= merge_attributes missing_attributes new_record? persisted? requires requires_one

### Public Instance methods

_dump(level)
attributes()
dup()
identity()
identity=(new_identity)
merge_attributes(new_attributes = {})
new_record?()

Returns true if a remote resource has not been assigned an identity.

This was added for a ActiveRecord like feel but has been outdated by ActiveModel API using {persisted?}

@deprecated Use inverted form of {persisted?} @return [Boolean]

persisted?()

Returns true if a remote resource has been assigned an identity and we can assume it has been persisted.

@return [Boolean]

requires(*args)

check that the attributes specified in args exist and is not nil

requires_one(*args)

### Protected Instance methods

dup_attributes!()
missing_attributes(args)

[Validate]